Summary:	Optical Character Recognition program
Summary(pl.UTF-8):	Program optycznego rozpoznawania pisma (OCR)
Name:		ocrad
Version:	0.25
Release:	1
License:	GPL v3+
Group:		Applications/Graphics
Source0:	http://ftp.gnu.org/gnu/ocrad/%{name}-%{version}.tar.lz
# Source0-md5:	da428daa81b481e13d21eeb2d4b985a8
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/ocrad/ocrad.html
BuildRequires:	help2man
BuildRequires:	libstdc++-devel
BuildRequires:	lzip
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ocrad is an OCR program implemented as a filter. It reads a bitmap
image in pbm format and outputs text in ISO-8859-1 (Latin-1) charset.
It can be used as a stand-alone terminal application, or as a backend
to other programs.

%description -l pl.UTF-8
Ocrad jest programem OCR zaimplementowanym jako filtr. Czyta bitmapę w
formacie pbm i zwraca tekst w zestawie znaków ISO-8859-1 (Latin-1).
Może być używany jako samodzielna aplikacja terminalowa bądź jako
podstawa innego programu.

%package devel
Summary:	Ocrad static library and header file
Summary(pl.UTF-8):	Biblioteka statyczna i plik nagłówkowy Ocrada
Group:		Development/Libraries
# doesn't require base

%description devel
Ocrad static library and header file.

%description devel -l pl.UTF-8
Biblioteka statyczna i plik nagłówkowy Ocrada.

%prep
%setup -q
%patch0 -p1

%build
# not autoconf-generated
./configure \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}
%{__make} all doc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install ocrad.png $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/ocrad
%{_pixmapsdir}/ocrad.png
%{_mandir}/man1/ocrad.1*
%{_infodir}/ocrad.info*

%files devel
%defattr(644,root,root,755)
%{_libdir}/libocrad.a
%{_includedir}/ocradlib.h
%changelog
* Sun Jul 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocrad.git;a=log;h=master

* Sun Jul 05 2015 Jakub Bogusz <qboosh@pld-linux.org> cd3af22
- updated to 0.25

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 538949c
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jul 17 2014 Jakub Bogusz <qboosh@pld-linux.org> a5a8ba4
- updated to 0.23
- updated info patch

* Thu Jul 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 9ff272f
- updated to 0.22

* Tue Jan 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 4394a2a
- updated to 0.21 (.lz source)
- updated info patch

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> fe95feb
- unify ftp.gnu.org urls

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 34263fd
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Wed Jul 11 2007 Jakub Bogusz <qboosh@pld-linux.org> e80e6af
- updated to 0.17 (GPL v3 applies)
- updated info patch

* Wed Jul 11 2007 Jakub Bogusz <qboosh@pld-linux.org> 6f007f6
- updated for 0.17

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ef3d0eb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 35eecaf
- converted to UTF-8

* Fri Oct 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 8c19ffa
- updated to 0.16

* Tue Sep 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 9c3b5ae
- updated to 0.15, removed obsolete gcc4 patch

* Tue Sep 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 96132b5
- obsolete

* Sun Feb 19 2006 freetz <freetz@pld-linux.org> 7327363
- BR: help2man

* Sun Feb 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 988ae12
- updated to 0.14, added gcc4 patch

* Sun Feb 19 2006 Jakub Bogusz <qboosh@pld-linux.org> d0f8aa4
- fix build with gcc 4

* Sat Oct 29 2005 Jakub Bogusz <qboosh@pld-linux.org> 0c1d697
- rebuild ocrad.info

* Tue Oct 18 2005 Jakub Bogusz <qboosh@pld-linux.org> 4455782
- updated for 0.13

* Tue Oct 18 2005 Jakub Bogusz <qboosh@pld-linux.org> 6c58af0
- updated to 0.13

